# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bio/Graphics.pm) perl(Bio/SeqFeature/Generic.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 1.3
%define module_name PrimerMap
BuildRequires: unzip
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.3
Release: alt1
Summary: generates a primer sequence graphical map
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HA/HALLORAN/%{module_name}-%{module_version}.zip
BuildArch: noarch

%description
This object extends the Bio::SeqFeature::Generic class to provide an object for Bio::Graphics. Uses primer starting and ending coordinates (base pairs) to generate a primer map relative to a base sequence.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE README
%perl_vendor_privlib/P*

%changelog
* Sat Dec 17 2016 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1
- initial import by package builder

